Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027485
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-08-27 13:362014-12-30 23:24
ReportermaiteView Statuspublic 
Assigned Toreinaldoguerra 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond45ee3d2e877
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027485: Should not be possible to invoice more quantity than delivered quantity, when Invoice Terms are "After delivery"

DescriptionShould not be possible to invoice more quantity than delivered quantity, when Invoice Terms are "After delivery"
Steps To Reproduce1. Register Sales Order with invoice terms= After delivery. Add line and set qty=10. Process
2. Register Goods Shipment related to that order but delivering qty=5. Process
3. Register new Sales Invoice header, run "Create Lines From" process and select previous Order. Realize that line qty showed is 10 but when adding order, invoice's line has qty 5 (which is qty delivered)
4. Edit invoice line to set qty 10 and verify that you are able to process invoice, having invoiced qty > delivered qty when Invoice Terms are "After delivery"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0028862 closedSandrahuguet Error received when processing invoice including line referencing "discount product" line if it has not been delivered 

-  Notes
(0070889)
reinaldoguerra (developer)
2014-10-12 03:04
edited on: 2014-10-24 17:13

Test plan 1: Processing a single invoice's line

1- Login into Openbravo ERP
2- Go to Sales Order window an register a new one with invoice terms = After delivery.
3- Add line for available product, for example: Bebida Energ├ętica 0,5L, and set qty=10. Book it.
4- Go to Goods Shipment window and register a new one.
5- Select created order running "Create Lines From" process selecting created order and Rn-0-0-0 warehouse.
6- Modify line movement qty=5. Complete it.
7- Register new Sales Invoice header, run "Create Lines From" process and select previous Order. Realize that line qty showed is 10 but when adding order, invoice's line has qty 5 (which is qty delivered)
8- Edit invoice line to set qty 10 and verify that now you are not able to process invoice having invoiced qty > delivered qty, an error message is shown.

Test plan 2: Processing two invoice's line

1- Login into Openbravo ERP
2- Go to Sales Order window an register a new one with invoice terms = After delivery.
3- Add line for available product, for example: Bebida Energ├ętica 0,5L, and set qty=30. Book it.
4- Go to Goods Shipment window and register a new one.
5- Select created order running "Create Lines From" process selecting created order and Rn-0-0-0 warehouse.
6- Modify line movement qty=5. Complete it.
7- Register new Sales Invoice header, run "Create Lines From" process and select previous Order. Realize that line qty showed is 30 but when adding order, invoice's line has qty 5 (which is qty delivered)
8- Do not process invoice.
9- Go to Goods Shipment window and register a new one.
10- Select again created sales order running "Create Lines From" process selecting created order and Rn-0-0-0 warehouse.
11- Modify line movement qty=15. Complete it.
12- Go to previous registered Sales Invoice and run again "Create Lines From" process and select previous Order. Realize that line qty showed is 30 but when adding order, new invoice's line has qty 15 (which is new qty delivered)
13- Edit new invoice line added and set qty 16. Verify that now you are not able to process invoice having invoiced qty > accumulated delivered qty, an error message is shown.

(0071405)
hgbot (developer)
2014-11-04 17:05

Repository: erp/devel/pi
Changeset: d45ee3d2e877ea751fbfbf1ea381ed4d670fa190
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Thu Oct 23 19:44:10 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/d45ee3d2e877ea751fbfbf1ea381ed4d670fa190 [^]

Fixed bug 27485: Should not be possible to invoice more quantity than delivered

c_invoice_post stored procedure was modified to throws an error when trying to invoice more quantity than delivered quantity, when Invoice Terms of the related order are: After Delivery. This validation takes into account the accumulated invoiced quantity for the invoice's lines.
This stored procedure is also called from Processing option on Sales Invoice window.

---
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0071406)
Sandrahuguet (developer)
2014-11-04 17:05

Code review + testing OK
(0073015)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-08-27 13:36 maite New Issue
2014-08-27 13:36 maite Assigned To => dmiguelez
2014-08-27 13:36 maite Modules => Core
2014-08-27 13:36 maite Triggers an Emergency Pack => No
2014-08-27 13:38 maite Issue Monitored: networkb
2014-08-27 16:52 heccam Issue Monitored: heccam
2014-09-22 16:34 jonalegriaesarte Target Version 3.0PR14Q4 => 3.0PR15Q1
2014-10-12 03:04 reinaldoguerra Note Added: 0070889
2014-10-24 17:12 reinaldoguerra Assigned To dmiguelez => reinaldoguerra
2014-10-24 17:12 reinaldoguerra Status new => scheduled
2014-10-24 17:13 reinaldoguerra Note Edited: 0070889 View Revisions
2014-11-04 17:05 hgbot Checkin
2014-11-04 17:05 hgbot Note Added: 0071405
2014-11-04 17:05 hgbot Status scheduled => resolved
2014-11-04 17:05 hgbot Resolution open => fixed
2014-11-04 17:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d45ee3d2e877ea751fbfbf1ea381ed4d670fa190 [^]
2014-11-04 17:05 Sandrahuguet Review Assigned To => Sandrahuguet
2014-11-04 17:05 Sandrahuguet Note Added: 0071406
2014-11-04 17:05 Sandrahuguet Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073015
2015-02-06 16:37 dmitry_mezentsev Relationship added causes 0028862


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker